//--------------------------------------------------------------
// File     : stm32_ub_id_check.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_IDCHECK_H
#define __STM32F4_UB_IDCHECK_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"


//--------------------------------------------------------------
// Enum fuer UID
//--------------------------------------------------------------
typedef enum {
  UID_WORD_0 =0,  // Bit 0-31
  UID_WORD_1,     // Bit 32-63
  UID_WORD_2      // Bit 64-95
}UID_WORD_t;


//--------------------------------------------------------------
// Enum fuer ID
//--------------------------------------------------------------
typedef enum {
  ID_DEVICE =0,  // Device-ID
  ID_REVISION    // Revision-ID
}ID_TYP_t;


//--------------------------------------------------------------
// Register Adressen
//--------------------------------------------------------------
#define  UID_WORD0_REG_ADR    (*((volatile uint32_t *) 0x1FFF7A10))
#define  UID_WORD1_REG_ADR    (*((volatile uint32_t *) 0x1FFF7A14))
#define  UID_WORD2_REG_ADR    (*((volatile uint32_t *) 0x1FFF7A18))
#define  CPI_ID_REG_ADR       (*((volatile uint32_t *) 0xE0042000))





//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
uint32_t UB_IDCHK_Read_UID(UID_WORD_t word_nr);
uint32_t UB_IDCHK_Read_ID(ID_TYP_t id_typ);



//--------------------------------------------------------------
#endif // __STM32F4_UB_IDCHECK_H
